Chuyển đến nội dung
Diễn đàn CADViet
Đăng nhập để thực hiện theo  
nhathuy007

Lisp Bind nhiều bản vẽ mà không cần mở file( giống lệnh in Publish)

Các bài được khuyến nghị

Chào mọi người! 

Em tìm trong diễn đàn thì chỉ có Lisp bind tất cả các Xref trong 1 file khi mở từng bản vẽ lên, chứ chưa có Lisp nào bind các xref trong nhiều file cùng lúc, Giống như lệnh in Publish, ta mở 1 bản vẽ và có thể in những bản vẽ khác mà ko cần mở bản vẽ đó lên.

Có sư huynh nào có thể chỉ giáo giúp với? Hồ sơ thi công có 300 bản vẽ mà ngồi Bind từng bản vẽ như vậy chắc hết ngày quá. Thanks

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Không có cách nào không mở file mà bind dc đâu bạn. Chỉ có tạo 1 lisp trong startupsuite rồi khi mở bất cứ file nào nó sẽ tự động bind.

Bạn down file này rồi AP và để trong startupsuite.

 

(vlax-map-Collection (vla-get-Blocks (vla-get-ActiveDocument (vlax-get-acad-object)))   
                '(lambda (b)  (if (= (vla-get-IsXRef b) :vlax-true)
                   (vl-catch-all-error-p (vl-catch-all-apply 'vla-bind (list b :vlax-false))))))

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Chắc Tot77 nhận định nhầm ^^

Với lại, với yêu cầu này thì CAD đã làm tốt rồi, k cần phải viết lisp

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Cảm ơn các pro... Vậy thực sự chưa ai có thể viết được lisp Bind như vậy sao? @ ketxu: bạn nói với yêu cầu như vậy thì Cad đã làm được sao? làm được bằng cách nào? bạn có thể chỉ rõ hơn ko vậy? Thanks so much...

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Không cần lisp, bạn làm như sau:

1. New một sheetset

2. Add các file cần bind vào sheetset này

3. Dùng lệnh etransmit cho sheetset với lựa chọn bind.

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Mình đã làm được rồi... Cảm ơn bạn Nguyen Hoanh nhiều nhé... Sheet set thì mình ko rành lắm nhưng add file và etrasmit với chế độ bind thì cũng mò ra được... Thật là cảm ơn bạn rất nhiều... nhờ có cách làm này mà mình đỡ tốn ko biết bao nhiêu thời gian để làm  việc khác. Thanks so much...

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Cảm ơn bác Nguyen Hoanh. Nhưng sau khi mày mò thì mình thấy ko cần phải tạo sheetset mới, chỉ cần dùng lệnh Etransmit rồi chọn modifi chế độ bind là được. Không cần phải tạo sheetset bác ak.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay

Đăng nhập để thực hiện theo  

×